nvidia graphics drivers 367.57-0ubuntu0.14.04.1 prevents gnome from launching

Bug #1639520 reported by gene_wood on 2016-11-05
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned

Bug Description

Release : Ubuntu 14.04.5 LTS
Package Version : 367.57-0ubuntu0.14.04.1

nvidia graphics drivers version 367.57-0ubuntu0.14.04.1 was published 2 days ago on 11/3 ( https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-367/367.57-0ubuntu0.14.04.1 ). I installed the update on 11/4 (see apt log below). Today on 11/5 I rebooted my machine. Upon booting when the graphical UI is launched the screen is black. I knew that though I had no display I was at the graphical login prompt as I heard the ubuntu sound that's played when the login prompt is presented. I rebooted into an older kernel version and got the graphical UI to render such that I could log in. Upon logging in (as myself or as guest) an error message was flashed and I'm returned to the login prompt. In looking at /var/log/syslog each time this happens I'm getting the error

    gnome-session[4575]: CRITICAL: We failed, but the fail whale is dead. Sorry....

After attempting other fixes I found the fix. I removed the nvidia drivers from the command line with

    apt-get remove --purge nvidia*

This resolved the problem. I then went into the graphical proprietary drivers UI and selected nvidia 367 which re-installed nvidia drivers 367.57-0ubuntu0.14.04.1 I rebooted and the black screen occurred again. At this point the cause/effect of the nvidia drivers was apparent. I again removed all nvidia drivers with the apt-get remove line above. I rebooted and again my system works correctly.

Expected results : To be able to log into Ubuntu after accepting the upgraded nvidia drivers
Actual results : The new version of nvidia drivers prevents the display from working or gnome-session from working.

I'm happy to provide any additional diagnostic information that anyone would like, just ask for files or for me to run commands and get you output.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
gene_wood (gene.wood) wrote :
Download full text (5.8 KiB)

Here's the apt log of the update being applied which caused the problem

Log started: 2016-11-04 13:32:03
(Reading database ...
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 358778 files and directories currently installed.)
Preparing to unpack .../libcurl3-gnutls_7.35.0-1ubuntu2.10_amd64.deb ...
Unpacking libcurl3-gnutls:amd64 (7.35.0-1ubuntu2.10) over (7.35.0-1ubuntu2.9) ...
Preparing to unpack .../curl_7.35.0-1ubuntu2.10_amd64.deb ...
Unpacking curl (7.35.0-1ubuntu2.10) over (7.35.0-1ubuntu2.9) ...
Preparing to unpack .../libcurl3_7.35.0-1ubuntu2.10_amd64.deb ...
Unpacking libcurl3:amd64 (7.35.0-1ubuntu2.10) over (7.35.0-1ubuntu2.9) ...
Preparing to unpack .../keybase_1.0.18-20161104161546.6537940_amd64.deb ...
Unpacking keybase (1.0.18-20161104161546.6537940) over (1.0.18-20161101160102.a862115) ...
Selecting previously unselected package nvidia-367.
Preparing to unpack .../nvidia-367_367.57-0ubuntu0.14.04.1_amd64.deb ...
Unpacking nvidia-367 (367.57-0ubuntu0.14.04.1) ...
Preparing to unpack .../libcuda1-352_367.57-0ubuntu0.14.04.1_amd64.deb ...
Unpacking libcuda1-352 (367.57-0ubuntu0.14.04.1) over (352.63-0ubuntu0.14.04.1) ...
Selecting previously unselected package libcuda1-367.
Preparing to unpack .../libcuda1-367_367.57-0ubuntu0.14.04.1_amd64.deb ...
Unpacking libcuda1-367 (367.57-0ubuntu0.14.04.1) ...
Preparing to unpack .../nvidia-opencl-icd-352_367.57-0ubuntu0.14.04.1_amd64.deb ...
Unpacking nvidia-opencl-icd-352 (367.57-0ubuntu0.14.04.1) over (352.63-0ubuntu0.14.04.1) ...
dpkg: warning: unable to delete old directory '/etc/OpenCL/vendors': Directory not empty
dpkg: warning: unable to delete old directory '/etc/OpenCL': Directory not empty
Selecting previously unselected package nvidia-opencl-icd-367.
Preparing to unpack .../nvidia-opencl-icd-367_367.57-0ubuntu0.14.04.1_amd64.deb ...
Unpacking nvidia-opencl-icd-367 (367.57-0ubuntu0.14.04.1) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for mime-support (3.54ubuntu1.1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for ureadahead (0.100.0-16) ...
Setting up libcurl3-gnutls:amd64 (7.35.0-1ubuntu2.10) ...
Setting up libcurl3:amd64 (7.35.0-1ubuntu2.10) ...
Setting up curl (7.35.0-1ubuntu2.10) ...
Setting up keybase (1.0.18-20161104161546.6537940) ...
Setting up nvidia-367 (367.57-0ubuntu0.14.04.1) ...
update-alternatives: using /usr/lib/nvidia-367/ld.so.conf to provide /etc/ld.so.conf.d/x86_64-l...

Read more...

Marcelo de G. Malheiros (mgm) wrote :

Same here, in a 14.04.5 laptop with both Intel HD Graphics 4400 and NVIDIA GeForce GT 750M.

After removing all 'nvidia*' packages it boots again to the graphics environment.

I have also tried to install again the 'nvidia-367' package. Before rebooting, 'nvidia-prime' says the default is for 'nvidia', so I have changed to 'intel' instead ("prime-select intel", at terminal). Then after reboot it goes into the desktop as usual, using the Intel card and also with all the nvidia modules loaded. However OpenGL does not work anymore in that case (X fails to load two of the DRI modules on startup, dunno why).

So I went back and purged all nvidia packages.

Note: I've also tried the package 'nvidia-361' that comes from the CUDA 8.0 repository from NVIDIA, but got the same black screen (still being able to switch to a text-mode terminal).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers